| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxGBPosition Class Reference
Class List by Category » Window Layout

`#include <wx/gbsizer.h>`

## Detailed Description

This class represents the position of an item in a virtual grid of rows and columns managed by a wxGridBagSizer.

##

Library: wxCore
Category: Window Layout

## Public Member Functions

| wxGBPosition ()
| Default constructor, setting the row and column to (0,0). More...
| wxGBPosition (int row, int col)
| Construct a new wxGBPosition, setting the row and column. More...
int | GetCol () const
| Get the current column value. More...
int | GetRow () const
| Get the current row value. More...
void | SetCol (int col)
| Set a new column value. More...
void | SetRow (int row)
| Set a new row value. More...
bool | operator!= (const wxGBPosition &p) const
| Compare inequality of two wxGBPositions. More...
bool | operator== (const wxGBPosition &p) const
| Compare equality of two wxGBPositions. More...

## Constructor & Destructor Documentation

wxGBPosition::wxGBPosition | ( |  | ) |

Default constructor, setting the row and column to (0,0).

wxGBPosition::wxGBPosition | ( | int | row,
|  | int | col
| ) |  |

Construct a new wxGBPosition, setting the row and column.

## Member Function Documentation

int wxGBPosition::GetCol | ( |  | ) | const

Get the current column value.

int wxGBPosition::GetRow | ( |  | ) | const

Get the current row value.

bool wxGBPosition::operator!= | ( | const wxGBPosition & | p | ) | const

Compare inequality of two wxGBPositions.

bool wxGBPosition::operator== | ( | const wxGBPosition & | p | ) | const

Compare equality of two wxGBPositions.

void wxGBPosition::SetCol | ( | int | col | ) |

Set a new column value.

void wxGBPosition::SetRow | ( | int | row | ) |

Set a new row value.